%global srcname fedmsg

Name:           python-%{srcname}
Version:        1.1.2
Release:        1%{?dist}
Summary:        Federated Message Bus library

License:        MIT
URL:            https://pypi.org/project/fedmsg/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
fedmsg (Federated Message Bus) is a library built on ZeroMQ using the PyZMQ Python bindings. fedmsg aims to make it easy to connect services together using ZeroMQ publishers and subscribers.
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/fedmsg-announce
%{_bindir}/fedmsg-check
%{_bindir}/fedmsg-collectd
%{_bindir}/fedmsg-config
%{_bindir}/fedmsg-dg-replay
%{_bindir}/fedmsg-gateway
%{_bindir}/fedmsg-hub
%{_bindir}/fedmsg-irc
%{_bindir}/fedmsg-logger
%{_bindir}/fedmsg-relay
%{_bindir}/fedmsg-signing-relay
%{_bindir}/fedmsg-tail
%{_bindir}/fedmsg-trigger
